Package io.dapr.client

# Class HttpExtension

java.lang.Object
io.dapr.client.HttpExtension

    public final class HttpExtension
    extends java.lang.Object

HTTP Extension class. This class is only needed if the app you are calling is listening on HTTP. It contains properties that represent data that may be populated for an HTTP receiver.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static HttpExtension` | `CONNECT` | Convenience HttpExtension object for the `DaprHttp.HttpMethods.CONNECT` Verb with empty queryString.
  `static HttpExtension` | `DELETE` | Convenience HttpExtension object for the `DaprHttp.HttpMethods.DELETE` Verb with empty queryString.
  `static HttpExtension` | `GET` | Convenience HttpExtension object for the `DaprHttp.HttpMethods.GET` Verb with empty queryString.
  `static HttpExtension` | `HEAD` | Convenience HttpExtension object for the `DaprHttp.HttpMethods.HEAD` Verb with empty queryString.
  `static HttpExtension` | `NONE` | Convenience HttpExtension object for `DaprHttp.HttpMethods.NONE` with empty queryString.
  `static HttpExtension` | `OPTIONS` | Convenience HttpExtension object for the `DaprHttp.HttpMethods.OPTIONS` Verb with empty queryString.
  `static HttpExtension` | `POST` | Convenience HttpExtension object for the `DaprHttp.HttpMethods.POST` Verb with empty queryString.
  `static HttpExtension` | `PUT` | Convenience HttpExtension object for the `DaprHttp.HttpMethods.PUT` Verb with empty queryString.
  `static HttpExtension` | `TRACE` | Convenience HttpExtension object for the `DaprHttp.HttpMethods.TRACE` Verb with empty queryString.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `HttpExtension​(DaprHttp.HttpMethods method, java.util.Map<java.lang.String,​java.lang.String> queryString)` | Construct a HttpExtension object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprHttp.HttpMethods` | `getMethod()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getQueryString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NONE

    public static final HttpExtension NONE
    Convenience HttpExtension object for `DaprHttp.HttpMethods.NONE` with empty queryString.

  - ### GET

    public static final HttpExtension GET
    Convenience HttpExtension object for the `DaprHttp.HttpMethods.GET` Verb with empty queryString.

  - ### PUT

    public static final HttpExtension PUT
    Convenience HttpExtension object for the `DaprHttp.HttpMethods.PUT` Verb with empty queryString.

  - ### POST

    public static final HttpExtension POST
    Convenience HttpExtension object for the `DaprHttp.HttpMethods.POST` Verb with empty queryString.

  - ### DELETE

    public static final HttpExtension DELETE
    Convenience HttpExtension object for the `DaprHttp.HttpMethods.DELETE` Verb with empty queryString.

  - ### HEAD

    public static final HttpExtension HEAD
    Convenience HttpExtension object for the `DaprHttp.HttpMethods.HEAD` Verb with empty queryString.

  - ### CONNECT

    public static final HttpExtension CONNECT
    Convenience HttpExtension object for the `DaprHttp.HttpMethods.CONNECT` Verb with empty queryString.

  - ### OPTIONS

    public static final HttpExtension OPTIONS
    Convenience HttpExtension object for the `DaprHttp.HttpMethods.OPTIONS` Verb with empty queryString.

  - ### TRACE

    public static final HttpExtension TRACE
    Convenience HttpExtension object for the `DaprHttp.HttpMethods.TRACE` Verb with empty queryString.

- ## Constructor Details

  - ### HttpExtension

    public HttpExtension​(DaprHttp.HttpMethods method, java.util.Map<java.lang.String,​java.lang.String> queryString)
    Construct a HttpExtension object.
    Parameters:
      `method` - Required value denoting the HttpMethod.
      `queryString` - Non-null map value for the queryString for a HTTP listener.
    Throws:
      `java.lang.IllegalArgumentException` - on null method or queryString.
    See Also:
      `for supported methods.`

- ## Method Details

  - ### getMethod

    public DaprHttp.HttpMethods getMethod()

  - ### getQueryString

    public java.util.Map<java.lang.String,​java.lang.String> getQueryString()